# The MEME Suite

## Motif-based sequence analysis tools

## iupac2meme

### Usage:

`iupac2meme [options] <iupac_motifs>+`

### Description

Convert an IUPAC motif into MEME motif format suitable for use with MEME Suite programs.

### Inputs

#### IUPAC Motifs

The program accepts 1 or more IUPAC motifs.

An IUPAC motif represents frequencies by using either an exact letter meaning that letter occurs in all sites, or ambiguous letters, representing an equal frequency of all the letters representing by that letter. This program additionally supports regular expression bracket expressions where multiple letters can be grouped in one with the use of square brackets.

A background frequency file modifies the assumption of equal probability of all alternative letters.

A probability matrix and optionally a log-odds matrix are output for each motif provided on the command line. The probability matrix is computed using pseudo-counts consisting of the background frequency (see -bg, below) multiplied by the total pseudocounts (see -pseudo, below). The log-odds matrix uses the background frequencies in the denominator and is log base 2.

##### Example

DNA IUPAC motif:
`ACGGWN[ACGT]YCGT`

protein IUPAC motif:
`IKLVBZYXXHG`

### Output

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-alpha | DNA|PROTEIN | The IUPAC alphabet to use. | The DNA IUPAC alphabet is used.
-numseqs | count | Assume frequences based on count sequence sites. | The motif is created as if it was made from 20 sequence sites.